Load html content via ajax in React ListView component

5 Mar 20257 minutes to read

We can set external HTML page content as template for the ListView component by making use of an AJAX call.

      ajax = new Ajax('https://helpej2.syncfusion.com/react/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
      ajax.onSuccess = (e: string) => {
          template = e;
      };
      ajax.send();

In the below sample, we render a smartphone settings template from an external HTML file.

import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { Ajax } from '@syncfusion/ej2-base';
import './index.css';
function App() {
    let template;
    let ajax;
    ajax = new Ajax('https://helpej2.syncfusion.com/react/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
    ajax.onSuccess = (e) => {
        template = e;
    };
    ajax.send();
    //Define an array of JSON data
    let data = [
        { name: "Network & Internet", id: "0", description: "Wi-Fi, mobile, data usage, hotspot" },
        { name: "Connected devices", id: "1", description: "Bluetooth, cast, NFC" },
        { name: "Battery", id: "2", description: "18% -4h 12m left" },
        { name: "Display", id: "3", description: "Wallpaper, sleep, font size" },
        { name: "Sound", id: "4", description: "Volume, vibration, Do Not Disturb" },
        { name: "Storage", id: "5", description: "52% used - 15.48 GB free" }
    ];
    return (<ListViewComponent id="list" dataSource={data} headerTitle="Settings" showHeader={true} template={template} cssClass="e-list-template" />);
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
import * as ReactDOM from 'react-dom';
import * as React from 'react';
import { ListViewComponent } from '@syncfusion/ej2-react-lists';
import { Ajax } from '@syncfusion/ej2-base';

function App() {
  let template: any;
  let ajax: Ajax;
  ajax = new Ajax('https://helpej2.syncfusion.com/react/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
  ajax.onSuccess = (e: string) => {
    template = e;
  };
  ajax.send();
  //Define an array of JSON data
  let data: { [key: string]: Object }[] = [
    { name: "Network & Internet", id: "0", description: "Wi-Fi, mobile, data usage, hotspot" },
    { name: "Connected devices", id: "1", description: "Bluetooth, cast, NFC" },
    { name: "Battery", id: "2", description: "18% -4h 12m left" },
    { name: "Display", id: "3", description: "Wallpaper, sleep, font size" },
    { name: "Sound", id: "4", description: "Volume, vibration, Do Not Disturb" },
    { name: "Storage", id: "5", description: "52% used - 15.48 GB free" }
  ];
  return (
    <ListViewComponent
      id="list"
      dataSource={data}
      headerTitle="Settings"
      showHeader={true}
      template={template}
      cssClass="e-list-template"
    />
  );
}
export default App;
ReactDOM.render(<App />, document.getElementById('element'));
#loader {
  color: #008cff;
  height: 40px;
  width: 30%;
  position: absolute;
  font-family: 'Helvetica Neue', 'calibiri';
  font-size: 14px;
  top: 45%;
  left: 45%;
}

#list {
  display: block;
  max-width: 300px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#list .e-list-header {
  background: rgb(2, 120, 215);
  color: white;
  font-size: 19px;
  font-weight: 500;
}

#list.e-listview .e-list-item {
  cursor: pointer;
}

#list .settings-container .name {
  font-size: 15px;
  font-weight: 500;
  line-height: 20px;
  height: 20px;
}

#list .settings-container .description {
  line-height: 20px;
  height: 20px;
  font-size: 10px;
  font-style: italic;
  margin-top: -2px;
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Syncfusion React ListView</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Essential JS 2 for React Components" />
    <meta name="author" content="Syncfusion" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-base/styles/material.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/31.2.12/ej2-react-lists/styles/material.css" rel="stylesheet" />
    <link href="index.css" rel="stylesheet" />
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
    <script src="systemjs.config.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='element'>
        <div id='loader'>Loading....</div>
    </div>
</body>

</html>

Load html content via ajax in Vue ListView component

28 Feb 20256 minutes to read

We can set external HTML page content as the template for our ListView component by making use of AJAX call.

let ajax = new Ajax('https://helpej2.syncfusion.com/vue/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
ajax.onSuccess = (e)=>{
    this.template = e;
}

ajax.send();

In the sample below, we have rendered a smartphone settings template from an external HTML file.

<template>
  <div id="sample">
    <ejs-listview id='element' :dataSource='data' headerTitle='Settings' showHeader='true' :template='template'>
    </ejs-listview>
  </div>
</template>
<script setup>

import { ListViewComponent as EjsListview } from "@syncfusion/ej2-vue-lists";
import { Ajax } from '@syncfusion/ej2-base';
import { onBeforeMount, ref } from "vue";

const data = [
  { name: 'Network & Internet', id: '0', description: 'Wi-Fi, mobile, data usage, hotspot' },
  { name: 'Connected devices', id: '1', description: 'Bluetooth, cast, NFC' },
  { name: 'Battery', id: '2', description: '18% -4h 12m left' },
  { name: 'Display', id: '3', description: 'Wallpaper, sleep, font size' },
  { name: 'Sound', id: '4', description: 'Volume, vibration, Do Not Disturb' },
  { name: 'Storage', id: '5', description: '52% used - 15.48 GB free' }
];
const template = ref({});

onBeforeMount(() => {
  let ajax = new Ajax('https://helpej2.syncfusion.com/vue/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
  ajax.onSuccess = (e) => {
    template.value = e;
  };
  ajax.send();
});

</script>
<style>
#element {
  display: block;
  max-width: 300px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#element .e-list-header {
  background: rgb(2, 120, 215);
  color: white;
  font-size: 19px;
  font-weight: 500;
}

#element.e-listview .e-list-item {
  padding: 10px 16px;
  height: 61px;

}

#element .e-list-item-header {
  font-size: 15px;
  font-weight: 500;
  line-height: 20px;
  height: 20px;
}

#element .e-list-content {
  line-height: 20px;
  height: 20px;
  font-size: 10px;
  font-style: italic;
  margin-top: -2px;
}
</style>
<template>
  <div id="sample">
    <ejs-listview id='element' :dataSource='data' headerTitle='Settings' showHeader='true' :template='template'>
    </ejs-listview>
  </div>
</template>

<script>

import { ListViewComponent } from "@syncfusion/ej2-vue-lists";
import { Ajax } from '@syncfusion/ej2-base';

export default {
  name: "App",
  components: {
    "ejs-listview": ListViewComponent
  },
  data: function () {
    return {
      data: [
        { name: 'Network & Internet', id: '0', description: 'Wi-Fi, mobile, data usage, hotspot' },
        { name: 'Connected devices', id: '1', description: 'Bluetooth, cast, NFC' },
        { name: 'Battery', id: '2', description: '18% -4h 12m left' },
        { name: 'Display', id: '3', description: 'Wallpaper, sleep, font size' },
        { name: 'Sound', id: '4', description: 'Volume, vibration, Do Not Disturb' },
        { name: 'Storage', id: '5', description: '52% used - 15.48 GB free' }
      ],
      template: {}
    };
  },
  created: function () {
    let ajax = new Ajax('https://helpej2.syncfusion.com/vue/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
    ajax.onSuccess = (e) => {
      this.template = e;
    };
    ajax.send();
  }
}
</script>

<style>
#element {
  display: block;
  max-width: 300px;
  margin: auto;
  border: 1px solid #dddddd;
  border-radius: 3px;
}

#element .e-list-header {
  background: rgb(2, 120, 215);
  color: white;
  font-size: 19px;
  font-weight: 500;
}

#element.e-listview .e-list-item {
  padding: 10px 16px;
  height: 61px;

}

#element .e-list-item-header {
  font-size: 15px;
  font-weight: 500;
  line-height: 20px;
  height: 20px;
}

#element .e-list-content {
  line-height: 20px;
  height: 20px;
  font-size: 10px;
  font-style: italic;
  margin-top: -2px;
}
</style>

Load html content via AJAX in Angular ListView component

10 Sep 20254 minutes to read

The ListView component allows you to load external HTML content as a template using AJAX requests. This article demonstrates how to fetch and set HTML content as the template property for the ListView component.

Prerequisites

Import the required Ajax class from the Syncfusion package:

import { Ajax } from '@syncfusion/ej2-base';

Implementation

Here’s how to load external HTML content using AJAX and set it as the ListView template:

// Create AJAX instance with the template URL
let ajax = new Ajax('https://helpej2.syncfusion.com/angular/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
ajax.onSuccess = (e) => {
    this.listtemplate = e;
};
ajax.send();

The following example demonstrates rendering a smart phone settings template loaded from an external HTML file:

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ListViewModule } from '@syncfusion/ej2-angular-lists'
import { Component, ViewChild } from '@angular/core';
import { ListViewComponent } from '@syncfusion/ej2-angular-lists';
import { Ajax } from '@syncfusion/ej2-base';

@Component({
  imports: [
    ListViewModule
  ],
  standalone: true,
  selector: 'my-app',
  template: `
          <ejs-listview id='List' [dataSource]='data' [fields]='fields' showHeader='true' headerTitle='Settings' [template]="listtemplate">
        </ejs-listview>
        `
})

export class AppComponent {
  public listtemplate?: ListViewComponent;
  public data = [
    { name: 'Network & Internet', id: '0', description: 'Wi-Fi, mobile, data usage, hotspot' },
    { name: 'Connected devices', id: '1', description: 'Bluetooth, cast, NFC' },
    { name: 'Battery', id: '2', description: '18% -4h 12m left' },
    { name: 'Display', id: '3', description: 'Wallpaper, sleep, font size' },
    { name: 'Sound', id: '4', description: 'Volume, vibration, Do Not Disturb' },
    { name: 'Storage', id: '5', description: '52% used - 15.48 GB free' }
  ];
  public fields: Object = { text: 'name', id: 'id' };
  ngOnInit() {
    let ajax = new Ajax('https://helpej2.syncfusion.com/angular/documentation/code-snippet/listview/ajax-cs1/template', 'GET', false);
    ajax.onSuccess = (e: any) => {
      this.listtemplate = e;
    };
    ajax.send();
  }
}
@import 'node_modules/@syncfusion/ej2-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-base/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-lists/styles/material.css';
@import 'node_modules/@syncfusion/ej2-angular-buttons/styles/material.css';


#List {
    display: block;
    max-width: 300px;
    margin: auto;
    border: 1px solid #dddddd;
    border-radius: 3px;
}

#List .e-list-header {
    background: rgb(2, 120, 215);
    color: white;
    font-size: 19px;
    font-weight: 500;
}

#List.e-listview .e-list-item {
    padding: 10px 16px;
    height: 61px;

}

#List .settings-container .name {
    font-size: 15px;
    font-weight: 500;
    line-height: 20px;
    height: 20px;
}

#List .settings-container .description {
    line-height: 20px;
    height: 20px;
    font-size: 10px;
    font-style: italic;
    margin-top: -2px;
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));